Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp	(revision 76)
@@ -51,8 +51,13 @@
   const uint32_t nb_type             = atoi(argv[x++]);
 
-  execute_timing_t * timing = new execute_timing_t [MAX_OPERATION];
+  execute_timing_t ** timing = new execute_timing_t * [MAX_TYPE];
 
-  for (uint32_t i=0; i< MAX_OPERATION; i++)
-    timing[i]._delay = timing[i]._latence = 1;
+  for (uint32_t i=0; i< MAX_TYPE; i++)
+    {
+      timing [i]= new execute_timing_t [MAX_OPERATION];
+      
+      for (uint32_t j=0; j< MAX_OPERATION; j++)
+	timing[i][j]._delay = timing[i][j]._latence = 1;
+    }
 
   try 
